/*
 * Created on Jun 22, 2004
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package gov.grants.apply.util;

import java.io.File;

import gov.grants.apply.soap.util.SoapUtils;
import gov.grants.apply.struts.Constants;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

/**
 * @author Brian Husted
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class Log4jInit extends HttpServlet implements Constants {

	static final Logger log = Logger.getLogger(Log4jInit.class.getName());

	public static final String LOG_4J_CONFIG_FILE = "log4jConfig.xml";

	public static final String RESOURCES_LOG_4J_CONFIG_FILE = "/resources/"
			+ LOG_4J_CONFIG_FILE;

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.servlet.GenericServlet#init()
	 */
	public void init() throws ServletException {
		// TODO Auto-generated method stub
		super.init();

		log.debug(":: configuring DOMConfigurator ::");
		String path = getServletContext().getRealPath("/").replace('\\', '/');
		String log4JConfigFile = path + "/" + "WEB-INF" + "/"
				+ LOG_4J_CONFIG_FILE;
		if (new File(log4JConfigFile).exists()) {
			DOMConfigurator.configure(log4JConfigFile);
			log.debug( "log4J Config XML file loaded from " + log4JConfigFile );
		} else {
			DOMConfigurator.configure(Log4jInit.class
					.getResource(RESOURCES_LOG_4J_CONFIG_FILE));
			log.debug( "log4J Config XML file loaded from /resources on classpath" );
		}

		log.debug(":: configured DOMConfigurator ::");
		log.info("** DOMConfigurator :: Logger :: CONFIGURED SUCCESSFULLY **");
		configureSSL();
		configureSoap();

	}

	private void configureSSL() {

		try {
			String path = getServletContext().getRealPath("/").replace('\\',
					'/');

			String soapServerPropertyFile = path + "/" + "WEB-INF" + "/"
					+ SOAP_SERVER_PROPERTY_FILE;
	
			SoapUtils.setSoapServerPropFile(soapServerPropertyFile);
			System.setProperty("javax.net.ssl.keyStore", SoapUtils
					.getProperty("javax.net.ssl.keyStore"));
			System.setProperty("javax.net.ssl.keyStorePassword", SoapUtils
					.getProperty("javax.net.ssl.keyStorePassword"));
			System.setProperty("javax.net.ssl.trustStore", SoapUtils
					.getProperty("javax.net.ssl.trustStore"));
			System.setProperty("javax.net.ssl.trustStorePassword", SoapUtils
					.getProperty("javax.net.ssl.trustStorePassword"));
		} catch (Exception ex) {
			log.fatal("Unable to load startup paramters", ex);
		}
	}

	private void configureSoap() {
		java.lang.System.setProperty("javax.xml.soap.MessageFactory",
				"org.apache.axis.soap.MessageFactoryImpl");

		java.lang.System.setProperty("javax.xml.soap.SOAPConnectionFactory",
				"org.apache.axis.soap.SOAPConnectionFactoryImpl");

	}
}